---
- entityDefinitions:
  - IDR_Get_Instances_Method__returns__Work_Set: '{7d0f93b1-8c93-464e-a44d-d674f910b589}'
  - IDR_Work_Set__returned_by__Get_Instances_Method: '{6a5873ac-13f8-4688-96ac-3d43403dc291}'
  - IDR_Get_Instances_Method__selects_instances_of__Class: '{c0b85d90-de8c-44c2-9420-c5e724ccdf2c}'
  - IDR_Class__instances_selected_by__Get_Instances_Method: '{7a20a467-fdb3-4932-8372-f93f0fc8f77f}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_GetInstancesMethod;'
    inherits:  '&IDC_Method;'
    name:      GI - Get Instances Method
    index:     393
    customTagName: getInstancesMethod
    defaultTask: '&IDI_Task_ViewGetInstancesMethod;'
    instancesLabeledByRAMB: '&IDMB_Method__get__Fully_Qualified_Name_GI;'
    relatedTasks:
    - instance: '&IDI_Task_ViewGetInstancesMethod;'
    - instance: '&IDI_Task_EditGetInstancesMethod;'
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    - instance: '&IDA_Final;'
      customTagName: 'final'
    relationships:
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Get_Instances_Method__returns__Work_Set;'
      customTagName: 'returnsWorkSetId'
    - instance: '&IDR_Get_Instances_Method__selects_instances_of__Class;'
      customTagName: 'selectsInstancesOfClass'

  - relationship: '&IDR_Get_Instances_Method__returns__Work_Set;'
    index: 915
    sourceClassId: '&IDC_GetInstancesMethod;'
    type: 'returns'
    destinationClassId: '&IDC_WorkSet;'
    siblingRelationshipId: '&IDR_Work_Set__returned_by__Get_Instances_Method;'
    singular: yes

  - relationship: '&IDR_Work_Set__returned_by__Get_Instances_Method;'
    index: 916
    sourceClassId: '&IDC_WorkSet;'
    type: 'returned by'
    destinationClassId: '&IDC_GetInstancesMethod;'
    siblingRelationshipId: '&IDR_Get_Instances_Method__returns__Work_Set;'
    singular: no

  - relationship: '&IDR_Get_Instances_Method__selects_instances_of__Class;'
    index: 918
    sourceClassId: '&IDC_GetInstancesMethod;'
    type: 'selects instances of'
    destinationClassId: '&IDC_Class;'
    siblingRelationshipId: '&IDR_Class__instances_selected_by__Get_Instances_Method;'
    singular: yes

  - relationship: '&IDR_Class__instances_selected_by__Get_Instances_Method;'
    index: 920
    sourceClassId: '&IDC_Class;'
    type: 'instances selected by'
    destinationClassId: '&IDC_GetInstancesMethod;'
    siblingRelationshipId: '&IDR_Get_Instances_Method__selects_instances_of__Class;'
    singular: no
